package org.semanticweb.triple.inference;

/*
 *  Copyright  Juergen Angele and Stefan Decker,
 *  Institut AIFB, University of Karlsruhe.
 *  All Rights Reserved.
 *
 */
import java.io.*;
import java.util.*;

/**
 *  Description of the Class
 *
 *@author     Administrator
 *@created    January 17, 2002
 */
class CompareGroundAtoms implements Comparison {
    int index1[] = null;
    int index2[] = null;


    /**
     *  Constructor for the CompareGroundAtoms object
     *
     *@param  ix1  Description of the Parameter
     *@param  ix2  Description of the Parameter
     */
    public CompareGroundAtoms(int ix1[], int ix2[]) {
        index1 = ix1;
        index2 = ix2;
    }


    /**
     *  Description of the Method
     *
     *@param  t1  Description of the Parameter
     *@param  t2  Description of the Parameter
     *@return     Description of the Return Value
     */
    public int Compare(Object t1, Object t2) {
        int i = 0;
        int res = 0;
        while ((index1[i] != -1) && (res == 0)) {
            res = ((GroundAtom) t1).Compare(index1[i], ((GroundAtom) t2), index2[i]);
            i++;
        }
        return res;
    }
}
