package org.semanticweb.triple.inference;
import java.util.ArrayList;

/*
 *  Name: DynamicVector.java
 *  Version: 1.0
 *  Purpose:
 *  History:
 */
import java.io.*;
import java.util.Enumeration;
import java.util.NoSuchElementException;
/**
 *  Description of the Class
 *
 *@author     Administrator
 *@created    January 17, 2002
 */
class DynamicVectorEnumerator implements Enumeration {
    DynamicVector v;
    int count;


    /**
     *  Constructor for the DynamicVectorEnumerator object
     *
     *@param  v  Description of the Parameter
     */
    DynamicVectorEnumerator(DynamicVector v) {
        this.v = v;
        count = 0;
    }


    /**
     *  Description of the Method
     *
     *@return    Description of the Return Value
     */
    public boolean hasMoreElements() {
        return count < v.number;
    }


    /**
     *  Description of the Method
     *
     *@return    Description of the Return Value
     */
    public Object nextElement() {
        if (count < v.number) {
            return v.elementAt(count++);
        }
        throw new NoSuchElementException("DynamicVectorEnumerator");
    }
}
