/*
 * Not.java
 *
 * Created on February 18, 2002, 10:09 AM
 */

package org.semanticweb.dl;

import java.io.*;


/**
 * Not.
 * @author  Michael Sintek
 * @version 
 */
public class Not extends Expression {

  Expression _expr;
  
  /** Creates new Not */
  public Not (Expression expr) {
    _expr = expr;
  }
  
  public void print(Syntax syntax, PrintWriter out) {
    if (syntax.XML ()) {
      out.print ("<NOT>");
      _expr.print (syntax, out);
      out.print ("</NOT>");
    } else {
      out.print ("(not ");
      _expr.print (syntax, out);
      out.print (")");
    }
  }
  
  public Expression toSHIQ(KB kb, int mode) {
    return new Not(_expr.toSHIQ(kb, CONCEPT));
  }

}
