package org.semanticweb.triple.language;

import java.util.*;
import org.semanticweb.glp.*;


public class Not extends Negation {

  public String toString(Syntax syntax) {
    return "not(" + formula + ")"; // in PROLOG syntax??
  }
  
  public GLogicFormula toGLP(GLPTerm model) {
    ArrayList glpFormulae = new ArrayList();
    model = overrideModel(model, this.model, glpFormulae);
    GLogicFormula glpFormula = formula.toGLP(model);
    glpFormula = And.makeGLPConjunction(glpFormulae, glpFormula);
    return new GLPNot(glpFormula);
  }
  
}
